#ifndef LIBSARIA_AUDIO_H
#define LIBSARIA_AUDIO_H

#include <string>
using namespace std;

namespace libsaria
{
	namespace audio
	{
		void init(int, char**);
		string get_current_file();

		/* Playback control functions */
		void load(string);
		void play();
		void pause();
		void stop();

		/* Position related functions */
		bool seek(int);
		bool seek_to(double);
		int get_progress();

		/* Volume functions */
		double get_volume();
		void set_volume(double);
	};
};

#endif /* LIBSARIA_AUDIO_H */
